Bug 72018 - gnome-session will restart applications infinitely
gnome-session will restart applications infinitely
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gnome-session (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
: FutureFeature, MoveUpstream, Triaged
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-08-20 15:04 EDT by Daryll
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-08 00:10:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daryll 2002-08-20 15:04:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
Applications in gnome-session can be marked to be restarted. If those
applications have a problem and crash immediately, gnome-session will keep
restarting them repeatedly and there is no easy way to disable the behavior.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an app that crashes
2. Add it to the session with the restart flag

Actual Results:  The session manager will restart it repeatedly

Expected Results:  The session manager should notice that it is constantly
restarting an application and ask the user if he wants to disable that
application instead of trying to restart it. Perhaps this could be triggerred by
having the application start too many times in a fixed period of time.

Additional info:

I ran into this when I found the clock applet would crash the panel on my
ThinkPad A20p.
Comment 1 Havoc Pennington 2002-08-20 15:22:26 EDT
gnome-session _used_ to do this. Someone must have busted it.

Filed also as http://bugzilla.gnome.org/show_bug.cgi?id=91280
Comment 2 Havoc Pennington 2003-01-08 00:10:26 EST
Upstream bug report claims this does work. In any case, closing here.
May want to respond to Mark on the gnome.org bug, if it's still happening.

Note You need to log in before you can comment on or make changes to this bug.